Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2242889 - [abrt] wxGlade: gtk_notebook_allocate_stack(): python3.11 killed by SIGSEGV
Summary: [abrt] wxGlade: gtk_notebook_allocate_stack(): python3.11 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGlade
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f36c5931adcded64677c91119b6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-09 15:33 UTC by Thomas Lake
Modified: 2023-11-03 18:37 UTC (History)
4 users (show)

Fixed In Version: wxGlade-1.0.5-4.fc38 wxGlade-1.0.5-4.fc39
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-23 02:58:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Thomas Lake 2023-10-09 15:33:58 UTC
Description of problem:

wxGlade causes a segmentation fault when launching.
From GUI, no visual indication of success or failure
CLI output below.

Version-Release number of selected component:
wxGlade-1.0.4-6.fc38

Additional info:
reporter:       libreport-2.17.11
cmdline:        /usr/bin/python /usr/bin/../lib/python3.11/site-packages/wxglade/wxglade.py
comment:        
backtrace_rating: 4
package:        wxGlade-1.0.4-6.fc38
crash_function: gtk_notebook_allocate_stack
journald_cursor: s=68a68ecf07904dc2997c808b02466239;i=4a5238;b=ebb266f46787437eaf751307a415c6a0;m=5778abc73;t=6074a2eec2977;x=102a78edfbd20313
runlevel:       N 5
type:           CCpp
rootdir:        /
cgroup:         0::/user.slice/user-1000.slice/session-2.scope
uid:            1000
executable:     /usr/bin/python3.11
kernel:         6.5.5-200.fc38.x86_64
reason:         python3.11 killed by SIGSEGV

Truncated backtrace:
Thread no. 1 (91 frames)
 #0 gtk_notebook_allocate_stack at ../gtk/gtknotebook.c:2489
 #1 gtk_css_gadget_allocate at ../gtk/gtkcssgadget.c:790
 #2 gtk_box_gadget_allocate_child at ../gtk/gtkboxgadget.c:403
 #3 gtk_box_gadget_allocate at ../gtk/gtkboxgadget.c:474
 #4 gtk_css_gadget_allocate at ../gtk/gtkcssgadget.c:790
 #5 gtk_notebook_size_allocate at ../gtk/gtknotebook.c:2507
 #7 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3742
 #10 gtk_widget_size_allocate_with_baseline at ../gtk/gtkwidget.c:6177
 #11 wxPizza::size_allocate_child(_GtkWidget*, int, int, int, int, int) at ../src/gtk/win_gtk.cpp:433
 #13 pizza_size_allocate(GtkWidget*, GtkAllocation*) at ../src/gtk/win_gtk.cpp:103
 #15 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3742
 #18 gtk_widget_size_allocate_with_baseline at ../gtk/gtkwidget.c:6177
 #19 wxPizza::size_allocate_child(_GtkWidget*, int, int, int, int, int) at ../src/gtk/win_gtk.cpp:433
 #21 pizza_size_allocate(GtkWidget*, GtkAllocation*) at ../src/gtk/win_gtk.cpp:103
 #23 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3742
 #26 gtk_widget_size_allocate_with_baseline at ../gtk/gtkwidget.c:6177
 #27 wxPizza::size_allocate_child(_GtkWidget*, int, int, int, int, int) at ../src/gtk/win_gtk.cpp:433
 #29 pizza_size_allocate(GtkWidget*, GtkAllocation*) at ../src/gtk/win_gtk.cpp:103
 #31 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3742
 #34 gtk_widget_size_allocate_with_baseline at ../gtk/gtkwidget.c:6177
 #35 wxPizza::size_allocate_child(_GtkWidget*, int, int, int, int, int) at ../src/gtk/win_gtk.cpp:433
 #37 pizza_size_allocate(GtkWidget*, GtkAllocation*) at ../src/gtk/win_gtk.cpp:103
 #39 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3742
 #42 gtk_widget_size_allocate_with_baseline at ../gtk/gtkwidget.c:6177
 #43 gtk_box_size_allocate_no_center at ../gtk/gtkbox.c:817
 #44 gtk_box_allocate_contents at ../gtk/gtkbox.c:1211
 #45 gtk_css_gadget_allocate at ../gtk/gtkcssgadget.c:790
 #46 gtk_box_size_allocate at ../gtk/gtkbox.c:1225
 #47 gtk_widget_size_allocate_with_baseline at ../gtk/gtkwidget.c:6179
 #48 gtk_window_size_allocate at ../gtk/gtkwindow.c:7957
 #49 gtk_widget_size_allocate_with_baseline at ../gtk/gtkwidget.c:6179
 #50 gtk_window_realize at ../gtk/gtkwindow.c:7462
 #52 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3742
 #55 gtk_widget_realize at ../gtk/gtkwidget.c:5523
 #56 gtk_window_show at ../gtk/gtkwindow.c:6206
 #58 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3742
 #61 gtk_widget_show at ../gtk/gtkwidget.c:4852
 #63 wxWindow::Show(bool) at ../src/gtk/window.cpp:4368
 #64 wxTopLevelWindowGTK::Show(bool) at ../src/gtk/toplevel.cpp:1188
 #65 meth_wxWindow_Show(PyObject*, PyObject*, PyObject*) at ../../../../sip/cpp/sip_corewxWindow.cpp:8766
 #66 cfunction_call at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/methodobject.c:542
 #67 _PyObject_MakeTpCall at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/call.c:214
 #68 _PyEval_EvalFrameDefault at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/ceval.c:4774
 #69 _PyEval_EvalFrame at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Include/internal/pycore_ceval.h:73
 #70 _PyEval_Vector at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/ceval.c:6439
 #71 _PyFunction_Vectorcall at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/call.c:393
 #72 _PyObject_FastCallDictTstate at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/call.c:141
 #73 _PyObject_Call_Prepend at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/call.c:482
 #74 slot_tp_init at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/typeobject.c:7854
 #75 type_call at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/typeobject.c:1103
 #76 _PyObject_MakeTpCall at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/call.c:214
 #77 _PyEval_EvalFrameDefault at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/ceval.c:4774
 #78 _PyEval_EvalFrame at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Include/internal/pycore_ceval.h:73
 #79 _PyEval_Vector at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/ceval.c:6439
 #80 _PyFunction_Vectorcall at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/call.c:393
 #81 _PyObject_VectorcallTstate at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Include/internal/pycore_call.h:92
 #82 method_vectorcall at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/classobject.c:67
 #83 call_method at ../../../../sip/siplib/siplib.c:2264
 #84 sip_api_call_method at ../../../../sip/siplib/siplib.c:2319
 #85 sipVH__core_5(PyGILState_STATE, void (*)(_sipSimpleWrapper*, PyGILState_STATE), _sipSimpleWrapper*, _object*) at ../../../../sip/cpp/sip_corecmodule.cpp:11769
 #86 sipwxPyApp::OnInit() at ../../../../sip/cpp/sip_corewxPyApp.cpp:810
 #87 wxPyApp::_BootstrapApp() at ../../../../sip/cpp/sip_corewxPyApp.cpp:279
 #88 meth_wxPyApp__BootstrapApp(PyObject*, PyObject*) at ../../../../sip/cpp/sip_corewxPyApp.cpp:2099
 #89 cfunction_call at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/methodobject.c:553
 #90 _PyObject_MakeTpCall at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/call.c:214
 #91 _PyEval_EvalFrameDefault at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/ceval.c:4774
 #92 _PyEval_EvalFrame at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Include/internal/pycore_ceval.h:73
 #93 _PyEval_Vector at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/ceval.c:6439
 #94 _PyFunction_Vectorcall at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/call.c:393
 #95 _PyObject_FastCallDictTstate at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/call.c:141
 #96 _PyObject_Call_Prepend at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/call.c:482
 #97 slot_tp_init at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/typeobject.c:7854
 #98 type_call at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/typeobject.c:1103
 #99 _PyObject_MakeTpCall at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Objects/call.c:214
 #100 _PyEval_EvalFrameDefault at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/ceval.c:4774
 #101 _PyEval_EvalFrame at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Include/internal/pycore_ceval.h:73
 #102 _PyEval_Vector at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/ceval.c:6439
 #103 PyEval_EvalCode at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/ceval.c:1154
 #104 run_eval_code_obj at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/pythonrun.c:1712
 #105 run_mod at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/pythonrun.c:1733
 #106 pyrun_file at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/pythonrun.c:1628
 #107 _PyRun_SimpleFileObject at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/pythonrun.c:440
 #108 _PyRun_AnyFileObject at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Python/pythonrun.c:79
 #109 pymain_run_file_obj at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Modules/main.c:360
 #110 pymain_run_file at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Modules/main.c:379
 #111 pymain_run_python at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Modules/main.c:601
 #112 Py_RunMain at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Modules/main.c:680
 #113 Py_BytesMain at /usr/src/debug/python3.11-3.11.5-1.fc38.x86_64/Modules/main.c:734
 #114 __libc_start_call_main at ../sysdeps/nptl/libc_start_call_main.h:58
 #115 __libc_start_main_impl at ../csu/libc-start.c:360
 #116 _start

Comment 1 Thomas Lake 2023-10-09 15:38:36 UTC
Terminal Output:
ERROR:root:License file "LICENSE.txt" not found!
INFO    : Starting wxGlade version "1.0.4" on Python 3.11.5
INFO    : Using wxPython 4.2.0
INFO    : Loading "wconfig" modules from /usr/lib/python3.11/site-packages/wxglade/widgets/widgets.txt:
INFO    : Load code generators:
INFO    :   C++ generator loaded
INFO    :   XRC generator loaded
INFO    :   lisp generator loaded
INFO    :   perl generator loaded
INFO    :   python generator loaded
INFO    : Loading widgets from /usr/lib/python3.11/site-packages/wxglade/widgets/widgets.txt:
INFO    : 	frame
INFO    : 	dialog
INFO    : 	panel
INFO    : 	notebook
INFO    : 	splitter_window
INFO    : 	button
INFO    : 	toggle_button
INFO    : 	bitmap_button
INFO    : 	spin_button
INFO    : 	text_ctrl
INFO    : 	choice
INFO    : 	combo_box
INFO    : 	list_box
INFO    : 	check_list_box
INFO    : 	checkbox
INFO    : 	radio_button
INFO    : 	radio_box
INFO    : 	spin_ctrl
INFO    : 	spin_ctrl_double
INFO    : 	slider
INFO    : 	gauge
16:25:58: Debug: Adding duplicate image handler for 'Windows bitmap file'
16:25:58: Debug: Adding duplicate animation handler for '1' type
16:25:58: Debug: Adding duplicate animation handler for '2' type
INFO    : 	calendar_ctrl
INFO    : 	generic_calendar_ctrl
INFO    : 	datepicker_ctrl
INFO    : 	list_ctrl
INFO    : 	tree_ctrl
INFO    : 	grid
INFO    : 	static_text
INFO    : 	hyperlink_ctrl
INFO    : 	static_line
INFO    : 	static_bitmap
INFO    : 	spacer
INFO    : 	property_grid_manager
INFO    : 	search_ctrl
INFO    : 	custom_widget
INFO    : 	menubar
INFO    : 	toolbar
INFO    : 	statusbar
INFO    : Load sizer generators:
INFO    :   for C++
INFO    :   for XRC
INFO    :   for lisp
INFO    :   for perl
INFO    :   for python
Segmentation fault (core dumped)

Comment 2 Francisco de la Peña 2023-10-13 05:00:11 UTC
As a workaround, the 1.0.5 version packaged for fc39 that still was depending on python 3.11 does not segfault on fc38, so backporting it to fc38 would be nice:

sudo dnf install https://kojipkgs.fedoraproject.org//packages/wxGlade/1.0.5/1.fc39/noarch/wxGlade-1.0.5-1.fc39.noarch.rpm

Comment 3 Thomas Lake 2023-10-13 14:35:50 UTC
That version works here as well, so +1 for updating the version in 38 or the relevant fixes (I think 1.0.4 to 1.0.5 would be a permitted update within a Fedora release though?)

Comment 4 Fedora Update System 2023-10-14 16:02:41 UTC
FEDORA-2023-0cdbab50f0 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0cdbab50f0

Comment 5 Fedora Update System 2023-10-14 16:02:53 UTC
FEDORA-2023-0da0045948 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0da0045948

Comment 6 Fedora Update System 2023-10-15 02:17:26 UTC
FEDORA-2023-0cdbab50f0 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0cdbab50f0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0cdbab50f0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-10-15 02:20:36 UTC
FEDORA-2023-0da0045948 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0da0045948`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0da0045948

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-10-23 02:58:39 UTC
FEDORA-2023-0da0045948 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-11-03 18:37:23 UTC
FEDORA-2023-0cdbab50f0 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.